API ReferenceLayouts
Create a layout
Creates a new layout in the Notifly environment
Creates a new layout in the Notifly environment
Authorization
secretKey Authorization<token>
API key authentication. Allowed headers-- "Authorization: ApiKey <secret_key>".
In: header
Request Body
application/json
Layout creation details
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v2/layouts" \ -H "Content-Type: application/json" \ -d '{ "layoutId": "string", "name": "string" }'{ "data": { "_id": "string", "layoutId": "string", "slug": "string", "name": "string", "isDefault": true, "isTranslationEnabled": true, "updatedAt": "string", "updatedBy": { "_id": "string", "firstName": "string", "lastName": "string", "externalId": "string" }, "createdAt": "string", "origin": "novu-cloud", "type": "REGULAR", "variables": {}, "controls": { "dataSchema": {}, "uiSchema": { "group": "IN_APP", "properties": { "property1": { "placeholder": "string", "component": "EMAIL_EDITOR_SELECT", "properties": { "property1": {}, "property2": {} } }, "property2": { "placeholder": "string", "component": "EMAIL_EDITOR_SELECT", "properties": { "property1": {}, "property2": {} } } } }, "values": { "email": { "body": "string", "editorType": "html" } } } }}